npm ERR! yorkie@1.0.3 install: `node bin/install.js

npm ERR! yorkie@1.0.3 install: `node bin/install.js

使用 sudo npm install

已标记关键词 清除标记
相关推荐
<div> <h2>Issue Overview</h2> <p>Running npm install fails due to:</p> <p>npm ERR! code ELIFECYCLE npm ERR! errno 1 npm ERR! node-sass.9.0 install: <code>node scripts/install.js</code> npm ERR! Exit status 1 npm ERR! npm ERR! Failed at the node-sass.9.0 install script. npm ERR! This is probably not a problem with npm. There is likely additional logging output above.</p> <p>npm ERR! A complete log of this run can be found in: npm ERR! /home/devilbox/.npm/_logs/2019-01-23T04_03_30_733Z-debug.log</p> <h2>Describe your environment</h2> <p>Win 10 x64 pro</p> <p>Running Docker with Devilbox https://devilbox.readthedocs.io/en/latest/ </p> <p>Using a PHP 7.2 container with the following tools and versions installed:</p> <p>composer 1.8.0 drupal-console 1.8.0 drush7 7.4.0 drush8 8.1.18 drush9 9.5.2 git 2.18.0 Laravel installer 2.0.1 mysqldump-secure 0.16.3 node 8.15.0 npm 6.4.1 Phalcon devtools 3.4.0 Symfony installer 1.5.11 Wordpress cli 2.1.0</p> <p>devilbox-7.2.14 in /shared/httpd $ gulp -v [04:58:32] CLI version 2.0.1</p> <h2>Steps to Reproduce</h2> <ol><li>Set up a clean install of Devilbox on Win 10</li><li>Install a fresh version of WordPress and update</li><li>Install the wprig master directory into themes </li><li>Open the Devilbox PHP container with shell.bat , navigate to the wprig theme directory and run "npm install"</li></ol> <h2>Expected Behavior</h2> <p>Successful completion of npm install</p> <h2>Current Behavior</h2> <p>Failed on error.</p> <p>npm ERR! code ELIFECYCLE npm ERR! errno 1 npm ERR! node-sass.9.0 install: <code>node scripts/install.js</code> npm ERR! Exit status 1 npm ERR! npm ERR! Failed at the node-sass.9.0 install script. npm ERR! This is probably not a problem with npm. There is likely additional logging output above.</p> <p>npm ERR! A complete log of this run can be found in: npm ERR! /home/devilbox/.npm/_logs/2019-01-23T04_03_30_733Z-debug.log</p> <h2>Possible Solution</h2> <p>Probably a tool or package version conflict somethere, going on past experience with Meteor/Vue but just guessing. </p> <h2>Screenshots / Video</h2> <h2>Related Issues and/or PRs</h2> <p>该提问来源于开源项目:wprig/wprig</p></div>
©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页